> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reauthenticate a user's electric vehicle

> Reauthenticate a electric vehicle related to a specific user under a specific organization.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/auth_session
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/auth_session:
    post:
      tags:
        - User Electric Vehicles
      summary: Reauthenticate a user's electric vehicle
      description: >-
        Reauthenticate a electric vehicle related to a specific user under a
        specific organization.
      operationId: >-
        integrations_api_api_v2_organizations_users_electric_vehicles_router_auth_session
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the electric vehicle belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the electric vehicle belongs to
        - in: path
          name: electric_vehicle_id
          schema:
            description: The ID of the electric vehicle to be reauthenticated
            format: uuid
            title: Electric Vehicle Id
            type: string
          required: true
          description: The ID of the electric vehicle to be reauthenticated
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthSessionInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthSessionOutput'
      security:
        - OAuth2: []
components:
  schemas:
    AuthSessionInput:
      properties:
        success_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Success Url
        cancel_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancel Url
      title: AuthSessionInput
      type: object
    AuthSessionOutput:
      properties:
        authentication_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Authentication Url
        device_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Device Id
        session_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Session Id
      title: AuthSessionOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````